Bug 1031324 - selinux policy denys uucp.socket binding to uucp port
selinux policy denys uucp.socket binding to uucp port
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1067563
  Show dependency treegraph
 
Reported: 2013-11-16 15:39 EST by Kevin Fenzi
Modified: 2014-02-20 11:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1067563 (view as bug list)
Environment:
Last Closed: 2013-12-06 10:14:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2013-11-16 15:39:02 EST
yum install uucp
systemctl enable uucp.socket
reboot

You get the following avcs: 

type=AVC msg=audit(1384633888.838:16): avc:  denied  { name_bind } for  pid=1 comm="systemd" src=540 scontext=system_u:system_r:uucpd_t:s0 tcontext=system_u:object_r:uucpd_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1384633996.651:651): avc:  denied  { name_bind } for  pid=1 comm="systemd" src=540 scontext=system_u:system_r:uucpd_t:s0 tcontext=system_u:object_r:uucpd_port_t:s0 tclass=tcp_socket

Policy should allow uucp.socket to bind to the uucpd port.
Comment 1 Daniel Walsh 2013-11-18 11:42:41 EST
commit d964a0398b3ce94ff4cbc25fc503ae15f6653394 fixes this in git.

Note You need to log in before you can comment on or make changes to this bug.